Qt API | Qtopia API | Qtopia Documentation |

# KVNC Class Reference

The KVNC class is a VNC client. More...

`#include <kvnc.h>`

Inherits QMainWindow.

List of all member functions.

## Public Members

- KVNC ( const char * name = 0 )
- ~KVNC ()

## Public Slots

- void toggleFullScreen ( bool )
- void openURL ( const QUrl & )
- void connectToServer ()
- void showOptions ()

## Protected Members

- void setupActions ()

## Protected Slots

- void showMenu ()
- void connected ()
- void loggedIn ()
- void disconnected ()
- void statusMessage ( const QString & )
- void error ( const QString & )
- void zoom ( bool )

## Detailed Description

The KVNC class is a VNC client.

Keypebble, the VNC client for Qtopia, is based on Keystone from the KDE project. Keystone and Keypebble are distributed under the terms of the GNU General Public License. The VNC server code in Qt/Embedded is copyright Trolltech.

A primary copyright holder is Richard Moore <rich@kde.org>.

This software owes a lot to Markus Wuebben's kvncviewer, which some of the code is derived from. Thanks also go to ORL for making the RFB protocol and servers GPL.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.